$out=0;
while(defined($line = <STDIN>))
{
	chomp($line);
	if($line =~m /<<<  URB [0-9]+ coming back  <<</)
	{
		$out=0;
	}
	if($line =~m />>>  URB ([0-9]+) going down  >>>/)
	{
		$old = $line;
	}
	if($line =~m /VENDOR_DEVICE/)
	{
		print $old."\n";
		$out = -1;
	}
	if($out != 0 )
	{
		print $line."\n";
	}
}
